Summary:	Reusable Module::Install bits
Name:		perl-Module-Package-Au
Version:	2
Release:        3%{?dist}
License:	CC0
URL:		https://metacpan.org/release/Module-Package-Au
Source0:	https://cpan.metacpan.org/authors/id/A/AU/AUDREYT/Module-Package-Au-%{version}.tar.gz

Patch3000:	perl-Module-Package-Au-no-bundle.patch

BuildArch:	noarch
BuildRequires: make perl-generators perl(ExtUtils::MakeMaker) perl(Module::Install::AuthorTests)
BuildRequires:	perl(Module::Install::GithubMeta) perl(Module::Install::ReadmeFromPod)
BuildRequires:	perl(Module::Install::ReadmeMarkdownFromPod) perl(Module::Install::Repository)
BuildRequires:	perl(Module::Package) >= 0.24 perl(Pod::Markdown)
Requires:	perl-libs

%{?perl_default_filter}

%description
This module defines a set of standard configurations for Makefile.PL
files based on Module::Package.

%prep
%autosetup -p1 -n Module-Package-Au-%{version}
rm -rf inc/*

sed -i 's|1.110730|1.301|g' lib/Module/Package/Au.pm
sed -i 's|1.110730|1.301|g' META.yml

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Module/Package/
%{_mandir}/man3/Module::Package::Au.3pm*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 21 2023 cunshunxia <cunshunxia@tencent.com> - 2-1
- initial build
